%define name 	libburn
%define version 0.2
%define release 1mdk

%define major 	1
%define libname %mklibname burn %major

Summary: 	An open-source library for optical discs.
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://coaster-burn.org/
License: 	GPL
Group: 		System/Libraries
Source: 	http://icculus.org/burn/releases/%{name}-%{version}.tar.bz2
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
An open-source library for reading, mastering and writing optical discs.

%package -n	%libname
Group:		System/Libraries
Summary:	An open-source library for optical discs.

%description -n %libname
An open-source library for reading, mastering and writing optical discs.

%package -n %libname-devel
Group:          Development/C
Summary:        Static libraries and header files from %name
Provides:       %name-devel = %version-%release
Requires:       %libname = %version-%release

%description -n %libname-devel
Static libraries and headers from %name.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc README
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_libdir/pkgconfig/*.pc
%_includedir/%name/0/%name/*.h

%changelog
* Wed Jul 14 2004 Austin Acton <austin@mandrake.org> 0.2-1mdk
- initial release

